import request from '@/utils/request'

// 查询速率统计列表
export function listRate(query) {
  return request({
    url: '/blocked/rate/list',
    method: 'get',
    params: query
  })
}

// 查询速率统计详细
export function getRate(id) {
  return request({
    url: `/blocked/rate/${id}`,
    method: 'get'
  })
}

// 新增速率统计
export function addRate(data) {
  return request({
    url: '/blocked/rate/add',
    method: 'post',
    data: data
  })
}

// 修改速率统计
export function updateRate(data) {
  return request({
    url: '/blocked/rate/edit',
    method: 'post',
    data: data
  })
}

// 删除速率统计
export function delRate(ids) {
  return request({
    url: `/blocked/rate/${ids}`,
    method: 'delete'
  })
}

// 导出速率统计
export function exportRate() {
  return request({
    url: `/blocked/rate/export`,
    method: 'post',
  })
}


// 下载导入模板
export function downloadTemplate() {
  return request({
    url: '/blocked/rate/importTemplate',
    method: 'get',
    responseType: 'blob'
  })
}